> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/eksploatacja-aplikacji/dashboard/dashboard-dla-posrednika-hipotecznego.md).

# Dashboard for a mortgage broker

{% hint style="info" %}
Availability of functionality depends on the license and may not be available in all deployments.
{% endhint %}

## Assumptions:

* The intermediary sees only the cases he has started himself, even when he is no longer currently assigned to them
* The intermediary can search for cases by case number and customer surname

{% hint style="info" %}
The dashboard uses data from the projection database, which is fed by events emitted from eximeeBpms. A case started by the intermediary appears on the list after the process (case) is started in eximeeBpms; this is handled by the emitted event RouterProcessStartedEvent
{% endhint %}

## Changes needed to associate the application with the intermediary starting it

* Projection database in the table **process\_list** has been extended with the column **startedBy**. The column stores the login of the user who started the application.
* The dashboard uses the projection database fed by events, therefore it has been added to **KafkaProcessListEventConsumer** handling and consuming the \*\*RouterProcessStartedEvent event containing the user's login. This login is stored in the column **startedBy**.

## Defining dashboard functionality visibility

Visibility of functionality is controlled by roles in the application. The mortgage intermediary has permission **feature\_only\_started\_processes**, which allows him to see:

* inbox (list of cases),
* starting a new mortgage application via the New mortgage button (connected application: simpleMortgage\_app),
* filtering applications tailored to the mortgage intermediary.

He should also have the permission **feature\_process\_list** - it allows access to the case list.

## Filtering cases in the dashboard

* A filter was added when searching for applications on the backend - the intermediary will retrieve only the applications he started himself.
  * in the search above the case list, cases can be filtered by the customer's surname,
  * in the Filter window, in the Case ID field, after entering part of the case number, we should see filtered cases.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/eksploatacja-aplikacji/dashboard/dashboard-dla-posrednika-hipotecznego.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
